Package org.eclipse.ecf.core.security

# Class PasswordCallback

java.lang.Object
org.eclipse.ecf.core.security.PasswordCallback

All Implemented Interfaces:
  `Serializable`, `Callback`

public class PasswordCallback extends Object implements Callback, Serializable
Callback that handles passwords

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PasswordCallback(String prompt)`
Construct a `PasswordCallback` with a prompt.
`PasswordCallback(String prompt, String defaultPassword)`
Construct a `PasswordCallback` with a prompt and default password.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultPassword()`
Get the default password.
`String`
`getPassword()`
Get the retrieved password.
`String`
`getPrompt()`
Get the prompt.
`void`
`setPassword(String pw)`
Set the retrieved password.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PasswordCallback

public PasswordCallback(String prompt)
Construct a `PasswordCallback` with a prompt.

Parameters:
  `prompt` - the prompt used to request the name.
Throws:
  `IllegalArgumentException` - if `prompt` is null.

### PasswordCallback

public PasswordCallback(String prompt, String defaultPassword)
Construct a `PasswordCallback` with a prompt and default password.

Parameters:
  `prompt` - the prompt used to request the information.

  `defaultPassword` - the name to be used as the default name displayed with the prompt.
Throws:
  `IllegalArgumentException` - if `prompt` is null.

## Method Details

### getPrompt

public String getPrompt()
Get the prompt.

Returns:
  the prompt.

### getDefaultPassword

public String getDefaultPassword()
Get the default password.

Returns:
  the default password, or `null` if this `PasswordCallback` was not instantiated with a `defaultPassword`.

### setPassword

public void setPassword(String pw)
Set the retrieved password.

Parameters:
  `pw` - the password (which may be null).
See Also:
  - `getPassword()`

### getPassword

public String getPassword()
Get the retrieved password.

Returns:
  the retrieved password (which may be null)
See Also:
  - `setPassword(java.lang.String)`